use bracket_lib::prelude::*;
use specs::prelude::*;

use crate::{components::*, constants::*};

pub fn draw(world: &World, bterm: &mut BTerm) {
    let positions = world.read_storage::<Position>();
    let renderables = world.read_storage::<Renderable>();

    for (pos, render) in (&positions, &renderables).join() {
        bterm.set(
            pos.x + MAP_X as i32,
            pos.y + MAP_Y as i32,
            render.fg,
            render.bg,
            render.glyph,
        );
    }
}
