pub mod monster_ai_system;
pub mod time_system;
pub mod whip_system;

pub use monster_ai_system::MonsterAiSystem;
use specs::prelude::*;
pub use time_system::TimeSystem;
pub use whip_system::WhipSystem;

pub fn run_systems(world: &mut World) {
    let mut whip_system = WhipSystem {};
    whip_system.run_now(world);

    let mut monster_ai_system = MonsterAiSystem {};
    monster_ai_system.run_now(world);

    let mut time_system = TimeSystem {};
    time_system.run_now(world);

    world.maintain();
}
